<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="LMN.Web.wap.myorder" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="LMN.Common" %>


<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by LMN Template Engine at 2012/3/1 20:38:22.
		本页面代码由LMN模板引擎生成于 2012/3/1 20:38:22. 
	*/

	base.OnInit(e);

	templateBuilder.Capacity = 220000;
	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n<meta content=\"");
templateBuilder.Append(Config.SiteName);
templateBuilder.Append(" - 网上购物,好信誉,好服务,好产品,低价格,让你全面安心享受网上购物乐趣！\" name=\"description\" />\r\n<meta content=\"和网,商城,手机,笔记本,保健品\" name=\"keywords\" />\r\n<link type=\"text/css\" rel=\"stylesheet\" href=\"/themes/wap/style.css\" />\r\n<title>订单详情</title>\r\n</head>\r\n<body>\r\n");
	templateBuilder.Append("<div class=\"adtop\">\r\n    <a href=\"/index.aspx\">首页</a> ");
if (session.user==null)
{

	templateBuilder.Append("<a href=\"/login.aspx\">登录</a> <a href=\"/register.aspx\">注册</a>");
}
else
{

	templateBuilder.Append("<a href=\"user.aspx\">我的和网</a>");
}//end if

	templateBuilder.Append(" <a href=\"/cart.aspx\">购物车(<span class=\"red\">");
templateBuilder.Append(session.cart.num);
templateBuilder.Append("</span>)</a>\r\n</div>\r\n");

	templateBuilder.Append("\r\n<p>\r\n    <form action=\"myorder.aspx\" method=\"get\">\r\n        请输入订单号码:<br />\r\n        <input type=\"text\" id=\"no\" name=\"no\" size=\"10\" value=\"");
	templateBuilder.Append(no);
	templateBuilder.Append("\" /><input type=\"submit\" value=\"查询\" />\r\n    </form>\r\n    --------------------<br />\r\n    ");
if (Info!="")
{
	templateBuilder.Append(Info);
	templateBuilder.Append("<br />\r\n    ");
}//end if


if (O!=null)
{

	templateBuilder.Append("\r\n    订单状态: <span class=\"red\">");
templateBuilder.Append(OrderState(O.state));
templateBuilder.Append("</span><br />\r\n    --------------------<br />\r\n    订单中的商品包括:\r\n    <br />\r\n    ");
var item__foreach__id=0;
foreach(var item in O.items)
{
item__foreach__id++;

	templateBuilder.Append("\r\n    <img src=\"");
templateBuilder.Append(item.cover);
templateBuilder.Append("\" alt=\".\" />.<a href=\"/detail.aspx?id=");
templateBuilder.Append(item.goods_id);
templateBuilder.Append("&item=");
templateBuilder.Append(item.item_id);
templateBuilder.Append("\">");
templateBuilder.Append(item.name);
templateBuilder.Append("</a>(数量: ");
templateBuilder.Append(item.num);
templateBuilder.Append(", 价格: ￥");
templateBuilder.Append(item.price);
templateBuilder.Append(")<br />\r\n    ");
}//end foreach

	templateBuilder.Append("\r\n    商品总价: ￥");
templateBuilder.Append(O.amount);
templateBuilder.Append("<br />\r\n    运费: ￥");
templateBuilder.Append(O.freight);
templateBuilder.Append("<br />\r\n    订单总价: ￥");
templateBuilder.Append(O.total*O.discount/100+O.promote);
templateBuilder.Append("<br />\r\n    联系手机: ");
templateBuilder.Append(O.addr.mobile);
templateBuilder.Append("<br />\r\n    ");
if (string.IsNullOrEmpty(O.addr.tele))
{

	templateBuilder.Append("\r\n    联系手机: ");
templateBuilder.Append(O.addr.tele);
templateBuilder.Append("<br />\r\n    ");
}//end if

	templateBuilder.Append("\r\n    收货人: ");
templateBuilder.Append(O.addr.name);
templateBuilder.Append("<br />\r\n    收货地址: ");
templateBuilder.Append(O.addr.addr);
templateBuilder.Append("(");
templateBuilder.Append(O.addr.zip);
templateBuilder.Append(")<br />\r\n    备注信息: ");
templateBuilder.Append(O.remarks);
templateBuilder.Append("<br />\r\n    -------------------<br />\r\n    ");
}//end if

	templateBuilder.Append("\r\n    我们将尽快与您联系确认收货信息,我们唯一官方呼出号码是027-88888888敬请留意！<br />\r\n    上述信息如有误，请联系热线电话<a href=\"wtai://wp/mc;4006188288\">4008-888-888(点击拨打)</a></p>\r\n");
	templateBuilder.Append("<p>\r\n    还没账号?免费<a href=\"register.aspx\">注册</a><br />\r\n    和网:waphe.com<a href=\"/help/favor.aspx\">(存书签)</a></p>");

	templateBuilder.Append("\r\n</body>\r\n</html>\r\n");
	Response.Write(templateBuilder.ToString());
}
</script>
